package opc.ua.services.common;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.datatype.QualifiedName;

public class SimpleAttributeOperand {

	private NodeId typeId;
	private QualifiedName[] browsePath;
	/** IntegerId */
	private Integer attributeId;
	private NumericRange indexRange;

	
	public NodeId getTypeId() {
		return typeId;
	}
	public void setTypeId(NodeId typeId) {
		this.typeId = typeId;
	}
	public QualifiedName[] getBrowsePath() {
		return browsePath;
	}
	public void setBrowsePath(QualifiedName[] browsePath) {
		this.browsePath = browsePath;
	}
	public Integer getAttributeId() {
		return attributeId;
	}
	public void setAttributeId(Integer attributeId) {
		this.attributeId = attributeId;
	}
	public NumericRange getIndexRange() {
		return indexRange;
	}
	public void setIndexRange(NumericRange indexRange) {
		this.indexRange = indexRange;
	}
	
}
